DoubleStickyRatchetPayoff Class Reference

Intermediate class for single/double sticky/ratchet payoffs. More...

`#include <ql/instruments/stickyratchet.hpp>`

Inheritance diagram for DoubleStickyRatchetPayoff:
[legend]

## Public Member Functions

| DoubleStickyRatchetPayoff (Real type1, Real type2, Real gearing1, Real gearing2, Real gearing3, Real spread1, Real spread2, Real spread3, Real initialValue1, Real initialValue2, Real accrualFactor)
Payoff interface
std::string | name () const
Real | operator() (Real forward) const
std::string | description () const
virtual void | accept (AcyclicVisitor &)
Payoff interface
Visitability

## Protected Attributes

Real | type1_
Real | type2_
Real | gearing1_
Real | gearing2_
Real | gearing3_
Real | spread1_
Real | spread2_
Real | spread3_
Real | initialValue1_
Real | initialValue2_
Real | accrualFactor_

## Detailed Description

Intermediate class for single/double sticky/ratchet payoffs.

## Member Function Documentation

## name()

std::string name | ( |  | ) | const

virtual

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.

Reimplemented in StickyMinPayoff, StickyMaxPayoff, RatchetMinPayoff, RatchetMaxPayoff, StickyPayoff, and RatchetPayoff.